#include "chip.h"
#include "lclock_arch.h"

t_lclock_ticks g_lclock_tiks_per_sec;

void lclock_init_val(t_lclock_ticks init_val) {
    g_lclock_tiks_per_sec = chip_gtim_freq();
}

t_lclock_ticks lclock_get_ticks(void) {
    return chip_gtim_cntr();
}
